<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ProcessedVideo extends \Google\Protobuf\Internal\Message
{
    


    protected $directPath = null;
    


    protected $fileSha256 = null;
    


    protected $height = null;
    


    protected $width = null;
    


    protected $fileLength = null;
    


    protected $bitrate = null;
    


    protected $quality = null;
    


    private $capabilities;

    















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDirectPath()
    {
        return isset($this->directPath) ? $this->directPath : '';
    }

    public function hasDirectPath()
    {
        return isset($this->directPath);
    }

    public function clearDirectPath()
    {
        unset($this->directPath);
    }

    




    public function setDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->directPath = $var;

        return $this;
    }

    



    public function getFileSha256()
    {
        return isset($this->fileSha256) ? $this->fileSha256 : '';
    }

    public function hasFileSha256()
    {
        return isset($this->fileSha256);
    }

    public function clearFileSha256()
    {
        unset($this->fileSha256);
    }

    




    public function setFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileSha256 = $var;

        return $this;
    }

    



    public function getHeight()
    {
        return isset($this->height) ? $this->height : 0;
    }

    public function hasHeight()
    {
        return isset($this->height);
    }

    public function clearHeight()
    {
        unset($this->height);
    }

    




    public function setHeight($var)
    {
        GPBUtil::checkUint32($var);
        $this->height = $var;

        return $this;
    }

    



    public function getWidth()
    {
        return isset($this->width) ? $this->width : 0;
    }

    public function hasWidth()
    {
        return isset($this->width);
    }

    public function clearWidth()
    {
        unset($this->width);
    }

    




    public function setWidth($var)
    {
        GPBUtil::checkUint32($var);
        $this->width = $var;

        return $this;
    }

    



    public function getFileLength()
    {
        return isset($this->fileLength) ? $this->fileLength : 0;
    }

    public function hasFileLength()
    {
        return isset($this->fileLength);
    }

    public function clearFileLength()
    {
        unset($this->fileLength);
    }

    




    public function setFileLength($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileLength = $var;

        return $this;
    }

    



    public function getBitrate()
    {
        return isset($this->bitrate) ? $this->bitrate : 0;
    }

    public function hasBitrate()
    {
        return isset($this->bitrate);
    }

    public function clearBitrate()
    {
        unset($this->bitrate);
    }

    




    public function setBitrate($var)
    {
        GPBUtil::checkUint32($var);
        $this->bitrate = $var;

        return $this;
    }

    



    public function getQuality()
    {
        return isset($this->quality) ? $this->quality : 0;
    }

    public function hasQuality()
    {
        return isset($this->quality);
    }

    public function clearQuality()
    {
        unset($this->quality);
    }

    




    public function setQuality($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\ProcessedVideo\VideoQuality::class);
        $this->quality = $var;

        return $this;
    }

    



    public function getCapabilities()
    {
        return $this->capabilities;
    }

    




    public function setCapabilities($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->capabilities = $arr;

        return $this;
    }

}

